package CRSDK;

@SuppressWarnings("unused")
public enum CrFlashMode {
    CrFlash_Auto					(0x0001),
    CrFlash_Off (CrFlash_Auto.getValue() + 1),
    CrFlash_Fill (CrFlash_Auto.getValue()+ 2),
    CrFlash_ExternalSync (CrFlash_Auto.getValue() + 3),
    CrFlash_SlowSync (CrFlash_Auto.getValue() + 4),
    CrFlash_RearSync (CrFlash_Auto.getValue() + 5);

    private final CrInt16u value;
    CrFlashMode(int value) {
        this.value = new CrInt16u(value);
    }
    public int getValue() {
        return value.intValue();
    }
}
